Skip to main content
POST
Create a data source

Authorizations

Authorization
string
header
required

Basic authentication using an API key, e.g. {Authorization: Bearer aff_0bb4fbdf97b7e4111ff6c0015471094155f91}. You can find your API key within the Settings page of the Affinda web app. You can obtain an API key by signing up for a free trial.

Body

application/json

A mapping data source is used to map from raw data found by our AI models to records in your database.

name
string | null
Example:

"My supplier list"

organization
string | null

The organization that this mapping data source belongs to.

Example:

"mewlkWEKL"

workspace
string | null

The workspace that this mapping data source belongs to.

Example:

"mewlkWEKL"

keyProperty
string

Attribute in the schema which uniquely identifiers the value

Example:

"value"

displayProperty
string

Attribute in the schema which is used to display the value

Example:

"label"

values
object[]
write-only
schema
object

The schema of the mapping data source.

Example:

Response

Successfully created a mapping data source.

A mapping data source is used to map from raw data found by our AI models to records in your database.

identifier
string
required
read-only

Uniquely identify a mapping data source.

Example:

"mEFayXdO"

keyProperty
string
required

Attribute in the schema which uniquely identifiers the value

Example:

"value"

displayProperty
string
required

Attribute in the schema which is used to display the value

Example:

"value"

organization
string | null
required

The organization that this mapping data source belongs to.

Example:

"mewlkWEKL"

workspace
string | null
required

The workspace that this mapping data source belongs to.

Example:

"mewlkWEKL"

name
string | null
Example:

"My supplier list"

schema
object

The schema of the mapping data source.

Example: